{
  "name": "vue-client",
  "version": "1.0.0",
  "description": "mba - 学习系统",
  "main": "index.js",
  "scripts": {
    "lint": "eslint --ext .js --ext .jsx --ext .vue client/",
    "lint:fix": "eslint --fix --ext .js --ext .jsx --ext .vue client/",
    "dev": "cross-env NODE_ENV=development SERVER_PORT=3002 webpack-dev-server --inline --progress --config build/webpack.client.conf.js",
    "build": "cross-env NODE_ENV=production webpack --progress --config build/webpack.client.conf.js && n use 8.11.3 ./build/uploadAliyunCDN.js"
  },
  "repository": {
    "type": "git",
    "url": ""
  },
  "keywords": [
    "vue-client"
  ],
  "author": "zhangyanxin",
  "license": "ISC",
  "eslintIgnore": [
    "client-dist/",
    "node_modules/",
    "static/",
    "icons/"
  ],
  "devDependencies": {
    "acorn": "^6.0.4",
    "ali-oss": "^6.0.2",
    "autoprefixer": "^9.3.1",
    "babel-core": "^6.26.3",
    "babel-eslint": "^10.0.1",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-loader": "^7.1.5",
    "babel-plugin-syntax-dynamic-import": "^6.18.0",
    "babel-plugin-syntax-jsx": "^6.18.0",
    "babel-plugin-transform-vue-jsx": "^3.7.0",
    "babel-preset-env": "^1.7.0",
    "babel-preset-stage-2": "^6.24.1",
    "clean-webpack-plugin": "^1.0.0",
    "copy-webpack-plugin": "^5.0.4",
    "cross-env": "^5.2.0",
    "css-loader": "^1.0.1",
    "cssnano": "^4.1.7",
    "eslint": "^5.9.0",
    "eslint-config-standard": "^12.0.0",
    "eslint-loader": "^2.2.1",
    "eslint-plugin-html": "^4.0.6",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-node": "^8.0.0",
    "eslint-plugin-promise": "^4.0.1",
    "eslint-plugin-standard": "^4.0.0",
    "file-loader": "^2.0.0",
    "html-webpack-plugin": "^3.2.0",
    "mini-css-extract-plugin": "^0.4.5",
    "node-sass": "^4.10.0",
    "optimize-css-assets-webpack-plugin": "^5.0.1",
    "postcss-loader": "^3.0.0",
    "sass-loader": "^7.1.0",
    "style-loader": "^0.23.1",
    "uglifyjs-webpack-plugin": "^2.0.1",
    "url-loader": "^1.1.2",
    "webpack": "^4.26.1",
    "webpack-cli": "^3.1.2",
    "webpack-dev-server": "^3.1.10",
    "webpack-merge": "^4.1.4"
  },
  "dependencies": {
    "axios": "^0.18.0",
    "bootstrap": "^4.3.1",
    "element-ui": "^2.4.11",
    "jquery": "^3.4.1",
    "js-md5": "^0.7.3",
    "lodash": "^4.17.11",
    "promise.prototype.finally": "^3.1.0",
    "vue": "^2.6.11",
    "vue-loader": "^15.9.0",
    "vue-meta-info": "^0.1.7",
    "vue-router": "^3.1.6",
    "vue-template-compiler": "^2.6.11"
  }
}
